# Copyright (C) 2009-2013, Julián Albo "NotFound".

=pod

=head1 NAME

ext/winxed/README.pod - Readme file for the snapshot of the winxed compiler
and driver. 

=head1 DESCRIPTION

This is a snapshot of winxed compiler and driver.

The pir files are generated from the winxed repository, copied here,
and compiled to pbc during the parrot build process. I<See> The Winxed web
site: http://winxed.net

=head2 How to update the snapshot

=over 4

=item 1. Download and build the wanted winxed release.

=item 2. Execute 'make preinstall' to generate the pir files used.

=item 3. Copy F<pir/winxed_compiler.pir> and F<pir/winxed_installed.pir> from
the winxed build tree to F<compiler.pir> and F<driver.pir> in this
directory.

=back

=head2 How to choose and tag the release used

Releases are tagged like this: RELEASE_1_0_0

To tag a new release, switch to the appropriate branch, I<e.g.,> version_1_0,
verify it has been updated with the appropriate changes and the pir generated
files have also been updated, and tag it. Don't forget to push the tag to
origin.

=head1 LICENSE

I<See> the F<LICENSE> file contained within this directory.

=head1 COPYRIGHT

Copyright (C) 2009-2013, JuliE<aacute>n Albo "NotFound".

=cut
